var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// external imports
import React from 'react';
import View from 'react-native-web/dist/components/View';
import Text from 'react-native-web/dist/components/Text';
import StyleSheet from 'react-native-web/dist/apis/StyleSheet';
// local imports

import { BaseButtonWithText } from '../buttons';
import { primaryColor, grey1, grey2 } from '../../styles';

const CardAction = (_ref) => {
    let { style } = _ref,
        unused = _objectWithoutProperties(_ref, ['style']);

    return React.createElement(BaseButtonWithText, _extends({
        defaultColor: 'white',
        activeColor: grey1,
        textColor: primaryColor,
        style: [styles.container, style],
        constrainSize: false
    }, unused));
};

const styles = StyleSheet.create({
    container: {
        flex: 1,
        alignSelf: 'flex-end',
        borderRadius: 0,
        borderStyle: 'solid',
        borderTopWidth: 1,
        borderTopColor: grey2
    }
});

export default CardAction;