var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// external imports
import React from 'react';
import ScrollView from 'react-native-web/dist/components/ScrollView';
import View from 'react-native-web/dist/components/View';
import StyleSheet from 'react-native-web/dist/apis/StyleSheet';

import _ from 'lodash';
// local imports
import CardPlaceholder from './Placeholder';

const CardGrid = (_ref) => {
    let {
        style,
        children,
        nCols = 3,
        padding = 40
    } = _ref,
        unused = _objectWithoutProperties(_ref, ['style', 'children', 'nCols', 'padding']);

    // the style for cards
    const card = {
        marginBottom: padding,
        marginRight: padding
        // the style of the last card
    };const lastCard = {
        marginBottom: padding

        // get the list of children
    };const cards = React.Children.toArray(children);

    return React.createElement(
        ScrollView,
        _extends({}, unused, { style: [styles.container, style] }),
        _.chunk(cards, nCols).map((row, i) => React.createElement(
            View,
            { style: styles.row, key: `row-${i}` },
            row.map((child, i) => {
                // the style to apply to the card
                const cardStyle = i === row.length - 1 ? lastCard : card;
                return React.createElement(
                    View,
                    {
                        style: [styles.card, cardStyle],
                        key: `card-${i}`
                    },
                    child
                );
            }),
            [...new Array(nCols - row.length)].map((_, i) => React.createElement(CardPlaceholder, {
                style: styles.cardWrapper,
                key: `placeholder-${i}`
            }))
        ))
    );
};

const styles = StyleSheet.create({
    container: {
        padding: 40
    },
    row: {
        flex: 1,
        flexDirection: 'row',
        justifyContent: 'space-around'
    },
    cardWrapper: {
        flex: 1,
        marginRight: 40,
        marginBottom: 40
    },
    card: {
        flex: 1
    }
});

export default CardGrid;