var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// external imports
import React from 'react';
import View from 'react-native-web/dist/components/View';
import Text from 'react-native-web/dist/components/Text';
import StyleSheet from 'react-native-web/dist/apis/StyleSheet';
import TouchableWithoutFeedback from 'react-native-web/dist/components/Touchable/TouchableWithoutFeedback';
// local imports

import { primaryColor, secondaryColor, grey1, grey3, baseDim } from '../../styles';

const Checkbox = (_ref) => {
    let { style, children, content, onPress } = _ref,
        unused = _objectWithoutProperties(_ref, ['style', 'children', 'content', 'onPress']);

    return React.createElement(
        TouchableWithoutFeedback,
        { onPress: onPress },
        React.createElement(
            View,
            _extends({}, unused, {
                style: [styles.container, content ? styles.withContent : styles.withoutContent, children ? styles.active : styles.inactive, style]
            }),
            React.createElement(
                Text,
                { style: children ? styles.activeText : styles.inactiveText },
                content
            )
        )
    );
};

const styles = StyleSheet.create({
    container: {
        borderRadius: 2,
        borderWidth: 1,
        display: 'flex',
        alignItems: 'center',
        justifyContent: 'center'
    },
    withContent: {
        paddingTop: 2 * baseDim,
        paddingBottom: 2 * baseDim,
        paddingLeft: 2 * baseDim,
        paddingRight: 2 * baseDim
    },
    withoutContent: {
        height: 9 * baseDim,
        width: 9 * baseDim
    },
    active: {
        backgroundColor: secondaryColor,
        borderColor: primaryColor
    },
    activeText: {
        color: primaryColor
    },
    inactive: {
        borderColor: grey3
    },
    inactiveText: {
        color: grey3
    }
});

export default Checkbox;