var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// external imports
import React from 'react';
import View from 'react-native-web/dist/components/View';
import StyleSheet from 'react-native-web/dist/apis/StyleSheet';
// local imports

import { grey1, grey5, primaryColor, baseDim } from '../../styles';
import textStyles from '../../styles/text';
import { SecondaryButton } from '../buttons';

const BreadcrumbChild = (_ref) => {
    let { active } = _ref,
        unused = _objectWithoutProperties(_ref, ['active']);

    return React.createElement(SecondaryButton, _extends({
        textColor: active ? primaryColor : grey5,
        defaultColor: 'white',
        activeColor: grey1,
        textStyle: styles.text,
        style: styles.button
    }, unused));
};

const styles = StyleSheet.create({
    text: _extends({}, textStyles.h3, {
        marginLeft: 0,
        marginRight: 0,
        fontSize: 20
    }),
    button: {
        paddingLeft: 2 * baseDim,
        paddingRight: 2 * baseDim
    }
});

export default BreadcrumbChild;