var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// external imports
import React from 'react';
import View from 'react-native-web/dist/components/View';
import Text from 'react-native-web/dist/components/Text';
import StyleSheet from 'react-native-web/dist/apis/StyleSheet';
// local imports

import { H2 } from '..';
import { baseDim, grey5 } from '../../styles';

const Breadcrumbs = (_ref) => {
    let { style, children } = _ref,
        unused = _objectWithoutProperties(_ref, ['style', 'children']);

    // add the divider after every child
    let childs = children.map((child, i) => React.createElement(
        View,
        { style: styles.level, key: i },
        React.createElement(
            View,
            null,
            child
        ),
        React.createElement(
            View,
            { style: styles.dividerContainer },
            i !== children.length - 1 && React.createElement(
                Text,
                { style: styles.divider },
                '>'
            )
        )
    ));
    return React.createElement(
        View,
        _extends({ style: [styles.container, style] }, unused),
        childs
    );
};

const styles = StyleSheet.create({
    container: {
        flexDirection: 'row',
        alignItems: 'center',
        justifyContent: 'flex-start'
    },
    level: {
        flexDirection: 'row'
    },
    dividerContainer: {
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        marginLeft: 2 * baseDim,
        marginRight: 2 * baseDim
    },
    divider: {
        fontSize: 6 * baseDim,
        color: grey5
    }
});

export default Breadcrumbs;