// external imports
import React from 'react';
import Modal from 'react-native-web/dist/components/Modal';
import TouchableWithoutFeedback from 'react-native-web/dist/components/Touchable/TouchableWithoutFeedback';
import View from 'react-native-web/dist/components/View';

import { Card } from 'quark-core';
// local imports
import styles from './styles';

const Overlay = ({ toggle, children, visible }) => visible && React.createElement(
    Modal,
    { transparent: true },
    React.createElement(
        TouchableWithoutFeedback,
        { onPress: toggle },
        React.createElement(
            View,
            { style: styles.background },
            React.createElement(
                Card,
                { style: styles.content },
                React.createElement(
                    TouchableWithoutFeedback,
                    null,
                    React.createElement(
                        View,
                        { style: { flex: 1 } },
                        children
                    )
                )
            )
        )
    )
);

export default Overlay;