// external imports
import React from 'react';
import { mount } from 'enzyme';
// local imports
import FreeState from '.';

describe('State', () => {
    describe('Free', () => {
        test('can set the initial value', () => {
            // for this test, assume the initial state is false
            const wrapper = mount(React.createElement(
                FreeState,
                { initial: true },
                ({ state }) => React.createElement(
                    'span',
                    null,
                    state && 'hello'
                )
            ));

            // make sure the input updated
            expect(wrapper.text()).toEqual('hello');
        });

        test('can set the state value', () => {
            // for this test, assume the initial state is false
            const wrapper = mount(React.createElement(
                FreeState,
                { initial: true },
                ({ state, set }) => React.createElement(
                    'span',
                    { onClick: () => set(false) },
                    state && 'hello'
                )
            ));

            // make sure the input updated
            expect(wrapper.text()).toEqual('hello');
        });
    });
});