function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

// external imports
import React from 'react';
import PropTypes from 'prop-types';
// local imports
import FreeState from '../Free';

export const updateList = (list, i, val) => {
    const copy = [...list];
    copy[i] = val;
    return copy;
};

const ListState = (_ref) => {
    let { children } = _ref,
        unused = _objectWithoutProperties(_ref, ['children']);

    return React.createElement(
        FreeState,
        unused,
        ({ state, set }) => React.Children.only(children({
            state,
            append: val => set([...state, val]),
            prepend: val => set([val, ...state]),
            slice: (...args) => set(state.slice(...args)),
            update: (...args) => set(updateList(...args))
        }))
    );
};

ListState.propTypes = {
    children: PropTypes.func.isRequired,
    initial: PropTypes.array
};

ListState.defaultProps = {
    initial: []
};

export default ListState;